[Pkg-firebird-general] Bug#193154: marked as done (Examples of FireBird)

Debian Bug Tracking System owner at bugs.debian.org
Thu Sep 15 23:03:19 UTC 2005

Your message dated Thu, 15 Sep 2005 15:38:46 -0700
with message-id <E1EG2NS-0008OT-00 at spohr.debian.org>
and subject line Bug#193154: fixed in firebird2 1.5.2-7
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 13 May 2003 09:03:16 +0000
>From gadek at debian.org Tue May 13 04:03:14 2003
Return-path: <gadek at debian.org>
Received: from sente.pl [] 
	by master.debian.org with esmtp (Exim 3.12 1 (Debian))
	id 19FVgo-00063j-00; Tue, 13 May 2003 04:03:14 -0500
Received: from greg.home.sente.pl (home.sente.pl [])
	by sente.pl (Postfix) with ESMTP
	id E09CA1604C; Tue, 13 May 2003 11:09:37 +0200 (CEST)
Subject: Re: Examples of FireBird
From: "Grzegorz B. Prokopski" <gadek at debian.org>
To: submit at bugs.debian.org
Cc: Andrei Okhremenko <andreo at sanet.ru>
In-Reply-To: <20030313161738.5994c79a.andreo at sanet.ru>
References: <20030313161738.5994c79a.andreo at sanet.ru>
Content-Type: multipart/signed; micalg=pgp-sha1; protocol="application/pgp-signature"; boundary="=-GZH6F9SHfGf+e4lYw+hT"
Organization: Debian http://www.debian.org/
Message-Id: <1052816577.902.39.camel at greg.home.sente.pl>
Mime-Version: 1.0
X-Mailer: Ximian Evolution 1.2.4 
Date: 13 May 2003 11:02:58 +0200
Delivered-To: submit at bugs.debian.org
X-Spam-Status: No, hits=-35.1 required=4.0
	autolearn=ham version=2.53-bugs.debian.org_2003_05_09
X-Spam-Checker-Version: SpamAssassin 2.53-bugs.debian.org_2003_05_09 (

Content-Type: text/plain; charset=ISO-8859-2
Content-Transfer-Encoding: quoted-printable

Package: firebird
Version: 1.0.2-1
Severity: minor

W li=B6cie z czw, 13-03-2003, godz. 14:17, Andrei Okhremenko pisze:=20
>   But I think, that a good idea replace exapmles of firebird from
> /var/lib/firebird to /usr/lib/firebird. I used example.h when I written
> my own UDFs and now I need use root priveleges. Isn't good.

Sorry for late response

I doubt that placement of any *.h file has anything to do with
you needing root to USE your new UDFs. If you absolutely
wanted to be able to use things in /var/lib/firebird/examples
directly you could either:
1. add yourself to 'firebird' group
   chmod o+rx /var/lib/firebird /var/lib/firebird/examples
   chmod o+r /var/lib/firebird/examples/*

BUT I agree - that files in /var/lib/firebird/examples
should be world-readable in default installation (like in
the second solution of the above).


					Grzegorz B. Prokopski
Grzegorz B. Prokopski <gadek at debian.org>
Debian http://www.debian.org/

Content-Type: application/pgp-signature; name=signature.asc

Version: GnuPG v1.2.2 (GNU/Linux)



Received: (at 193154-close) by bugs.debian.org; 15 Sep 2005 22:50:45 +0000
>From joerg at spohr.debian.org Thu Sep 15 15:50:45 2005
Return-path: <joerg at spohr.debian.org>
Received: from joerg by spohr.debian.org with local (Exim 3.36 1 (Debian))
	id 1EG2NS-0008OT-00; Thu, 15 Sep 2005 15:38:46 -0700
From: Damyan Ivanov <divanov at creditreform.bg>
To: 193154-close at bugs.debian.org
X-Katie: lisa $Revision: 1.30 $
Subject: Bug#193154: fixed in firebird2 1.5.2-7
Message-Id: <E1EG2NS-0008OT-00 at spohr.debian.org>
Sender: Joerg Jaspert <joerg at spohr.debian.org>
Date: Thu, 15 Sep 2005 15:38:46 -0700
Delivered-To: 193154-close at bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-5.2 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER,
	REMOVE_REMOVAL_NEAR autolearn=no 
X-CrossAssassin-Score: 7

Source: firebird2
Source-Version: 1.5.2-7

We believe that the bug you reported is fixed in the latest version of
firebird2, which is due to be installed in the Debian FTP archive:

  to pool/main/f/firebird2/firebird2-classic-server_1.5.2-7_i386.deb
  to pool/main/f/firebird2/firebird2-dev_1.5.2-7_i386.deb
  to pool/main/f/firebird2/firebird2-examples_1.5.2-7_i386.deb
  to pool/main/f/firebird2/firebird2-server-common_1.5.2-7_i386.deb
  to pool/main/f/firebird2/firebird2-super-server_1.5.2-7_i386.deb
  to pool/main/f/firebird2/firebird2-utils-classic_1.5.2-7_i386.deb
  to pool/main/f/firebird2/firebird2-utils-super_1.5.2-7_i386.deb
  to pool/main/f/firebird2/firebird2_1.5.2-7.diff.gz
  to pool/main/f/firebird2/firebird2_1.5.2-7.dsc
  to pool/main/f/firebird2/firebird2_1.5.2.orig.tar.gz
  to pool/main/f/firebird2/libfbclient1_1.5.2-7_i386.deb
  to pool/main/f/firebird2/libfbembed1_1.5.2-7_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 193154 at bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Damyan Ivanov <divanov at creditreform.bg> (supplier of updated firebird2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster at debian.org)

Hash: SHA1

Format: 1.7
Date: Wed, 14 Sep 2005 17:30:24 +0300
Source: firebird2
Binary: firebird2-utils-classic libfbclient1 firebird2-super-server libfbembed1 firebird2-dev firebird2-server-common firebird2-utils-super firebird2-examples firebird2-classic-server
Architecture: source i386
Version: 1.5.2-7
Distribution: unstable
Urgency: high
Maintainer: Debian Firebird Group <pkg-firebird-general at lists.alioth.debian.org>
Changed-By: Damyan Ivanov <divanov at creditreform.bg>
 firebird2-classic-server - Firebird Classic Server - an RDBMS based on InterBase 6.0 code
 firebird2-dev - Development files for Firebird - an RDBMS based on InterBase 6.0 
 firebird2-examples - Examples for Firebird - an RDBMS based on InterBase 6.0 code
 firebird2-server-common - Common files for Firebird - an RDBMS based on InterBase 6.0 code
 firebird2-super-server - Firebird Super Server - a RDBMS based on InterBase 6.0 code
 firebird2-utils-classic - Utilities for Firebird - an RDBMS based on InterBase 6.0 code
 firebird2-utils-super - Utilities for Firebird - an RDBMS based on InterBase 6.0 code
 libfbclient1 - Firebird client library files
 libfbembed1 - Firebird embedded client/server library files
Closes: 193154 243989 276532 278924 294199 299972 299973 299975 299978 299979 299981 299988 306714 308790 317314
 firebird2 (1.5.2-7) unstable; urgency=high
   * Urgency still high, since previous releases were not uploaded
     Fixes RC bug #317314 "FTBFS with gcc-4.0"
   * Ease upgrade procedure:
     + libfbclient1:
       - Added Replaces: libfirebird2-{super,classic}
       - Removed Conflicts: libfirebird2-super
     + libfbembed1:
       - Added Replaces: libfirebird2-classic
       - Removed Conflicts: libfirebird2-classic
   * Improved short description of libfbclient1 and libfbembed1
 firebird2 (1.5.2-6) unstable; urgency=high
   * Urgency still high, since previous releases were not uploaded
     Fixes RC bug #317314 "FTBFS with gcc-4.0"
   * Changes suggested by Christopher Martin. Thanks.
   * firebird2-dev:
     + depend on *both* libfbembed1 and libfbclient1, since -dev provides
       symlinks for both of them. [debian/control.in]
   * libfbembed1:
     + do not provide compatibility symlinks to libgds.so - avoids conflicting
       with libfbembed1. [debian/make_packages.sh]
   * Updated src/extern/editline/config.{sub,in}.
     - new patch: editline.update-autotools-files.dpatch
     - added in debian/patches/00list
     - added debian/source.lintian-overrides to reflect this
 firebird2 (1.5.2-5) unstable; urgency=high
   * Urgency still high, since previous releases were not uploaded
     Fixes RC bug #317314 "FTBFS with gcc-4.0"
   * debian/control.in
     + firebird2-dev
       - removed Conflicts with firebird-dev, which is not in Debian anymore
       - added Replaces: libfirebird2-{super,classic}, which incorrectly
         provided dev symlinks that belong to -dev.
         Thanks to Christopher Martin for spotting this.
   * debian/firebird2-server-common.lintian.override: fixed libib-util
 firebird2 (1.5.2-4) unstable; urgency=high
   * Urgency still high, since previous releases were not uploaded
     Fixes RC bug #317314 "FTBFS with gcc-4.0"
   * Many improvements in this release are inspired by suggestions from George
     Danchev <danchev at spnet dot net>. Thanks!
   * Moved libib_util.so to -common
   * libfbembed1 and libfbclient1 no longer conflict with each other
   * Manuals:
     + Renamed isql.sgml to isql-fb.sgml
     + Renamed gstat.sgml to fbstat.sgml
     + debian/rules: streamlined building of manual pages
   * Added lintian overrides for missing shlibs and soname vs. package name
     mismatch in firebird-server-common
   * Added lintian override for soname vs. package name mismatch for
   * debian/patches
     + new clean-more.dpatch: remove more generated files in clean.sh
     + 00list: added clean-more.dpatch
   * debian/rules:
     + Removed dh_make template header
     + clean-patched: depend on patch, since we count on patched clean.sh to
       clean everything that make clean does not
     + clean-patched: removed lines deleting generated files from source tree,
       since this is now done in clean.sh
     + binary-arch: removed unneeded strip calls. dh_strip handles stripping
       good enough
 firebird2 (1.5.2-3) unstable; urgency=high
   * Urgency high, because last version was uninstallable.
   * debian/make_packages.sh: Move UDF/ib_udf.so and UDF/*.sql to -common;
     make -common and -server-* installable at the same time as required.
 firebird2 (1.5.2-2) unstable; urgency=high
   * Urgency high, due to fixing RC bug #317314
   * Packaging heavily based in work by Daniel Urban
   * Switched to dpatch
     + debian/rules
       - include dpatch.make
       - configure-* depends on patch
       - clean renamed to clean-patched
       - new target clean depends on clean-patched and unpatch
     + 001_no-rpath.dpatch:
       - builds/posix/Makefile.in.*: remove $(LIB_LINK_RPATH_LINE)
     + 002_fix-mcpu-to-mtune.dpatch
       - builds/posix/prefix.linux*: s/-mcpu/-mtune/ - Fix g++ warnings
     + 003_no-custom-errno-and-sys_XXerrXX.dpatch
       - remove explicit definitions of errno and sys_*err*
     + 004_separate-file-and-sem-perms.dpatch
       - Use separate `"define"s for semaphore and file permissions
     + 005_fix-pthreads-detect.dpatch
       - src/common/classes/locks.h
     + 006_fix-os-detection.dpatch
       - fix OS patterns in src/extern/editline/configure[.in]
     + 007_create-run-dir.dpatch
       - configure.in: create gen/firebird/run directory
     + 008_link-with-g++.dpatch
       - builds/posix/make.rules: use $(CXX) for LIB_LINK instead of $(CC)
     + 009_opt-bypass-redundant-sort.dpatch
       - src/jrd/opt.cpp: RP: optimize sort with OUTER JOIN if all the fields
         in the sort list are from one stream, check the stream is the most
         outer stream, if true update rse and ignore the sort
         (stolen from CVS?)
     + 010_clean-is-phony.dpatch
       - Makefile.in: declare clean as .PHONY so make clean actually do
         something after first cleaning
   * Debhelper compatibility level 4
     + debian/rules: DH_COMPAT=4
     + debian/control.in: Build-Depends debhelper (>> 4.0.0)
   * debian/control.in
     + Changed Standards-Version to 3.6.2. No changes necessary
     + Added myself to uploaders
     + Removed Remco Seesink from Uploaders since he's leaving Debian and
       pkg-firebird. Many thanks for your hard work, Remco.
     + Library packages renamed (taken the opportunity to do this right now that
     library packages have to be renamed due to C++ ABI transition)
       - libfirebird2-super --> libfbclient1
       - libfirebird2-classic --> libfbembed1
       Eliminates two lintian warnings
   * debian/rules:
     + added amd64 to supported architectures (clean target)
     + export CC=gcc-3.4, CXX=g++-3.4, CPP|CXXPP=cpp-3.4.
       Added gcc-3.4 and g++-3.4 to Build-Depends accordingly
       Closes: #317314 "FTBFS with gcc4"
     + STRIPPARAMS: --remove-sectio --> -remove-section
   * debian/make_packages.sh:
     + moved examples to /usr/share/doc/firebird2-examples/examples
       Closes: #193154
     + install ib_udf.so to UDF; install appropriate .sql scripts too
   * debian/firebird2-super-server-postinst: made so that a #DEBHELPER# stub is
     in an appropriate place. Saves a lintian override.
   * debian/firebird2-examples.postinst: dropped. No need to add user account
     for examples
   * libib_util.so is copied without changing its name. Closes: #243989
   * libib_util.so is supplied. Closes: #306714
 firebird2 (1.5.2-1) unstable; urgency=high
   * fix creating include symlink. Closes: #308790
   * fix misplaces link in examples. Closes: #276532
   * new upstream release resolves "libfbclient depends on libpthread" bug.
     Closes: #278924
   * fix typo in debian/make_packages.sh that caused that libib_util.so wasn't
   * add amd64 architecture.
   * fix typo in debian/control.in. Closes: #299972
   * fix typo in debian/control.in. Closes: #299975
   * fix typo in debian/control.in. Closes: #299978
   * fix typo in debian/control.in. Closes: #299979
   * fix typo in debian/control.in. Closes: #299981
   * fix typo in debian/control.in. Closes: #299973
   * fix typo in debian/control.in. Closes: #299988
   * New upstream release. Closes: #294199
 firebird2 (1.5.2-0mentors2) unstable; urgency=low
   * New upstream release
   * debian/make_packages.sh
     - put some comments regarding libgds.so.0 links
     - Cleaned libfbclient and libfbembed links (see Policy, 8.1):
       + *.so.1 -> *.so.1.5.2 links in lib* packages
       + *.so -> *.so.1.5.2 links in -dev package
   * 1.5.2 replaced with $FB_VERSION (currently defined equal to "1.5.2", but
     will ease packaging of future versions
   * debian/rules
     - clean:
       + remove object and other generated files in src/extern/editline
       + call sh clean.sh for cleaning additional generated files
       + remove src/dsql/dsql.tab.h which is generated too
   * added debian/source.lintian-overrides, containing
     - maintainer-script-lacks-debhelper-token
       This is normal, super.postinst explicitly does what #DEBHELPER# does
 3378179ffc568c3cc4146293936f3ca9 1225 misc optional firebird2_1.5.2-7.dsc
 33def5f8d761dce16b68eed2a2ec9e63 7414728 misc optional firebird2_1.5.2.orig.tar.gz
 42a0ada0cd5c24912b1d54b6f3b305d1 66631 misc optional firebird2_1.5.2-7.diff.gz
 6a3e3157f58612945f3059ad8bcf6eef 1258968 misc optional firebird2-super-server_1.5.2-7_i386.deb
 8d5802c139f404c7b967906922d07d8f 375174 misc optional firebird2-classic-server_1.5.2-7_i386.deb
 625dfef3fd690da57d8f005260c66bf7 371196 misc optional libfbclient1_1.5.2-7_i386.deb
 63167d9a40cd548e5165cbe5d9d0820f 1051696 misc optional libfbembed1_1.5.2-7_i386.deb
 8fca591f0794300a61535b4f423b24f4 566704 misc optional firebird2-server-common_1.5.2-7_i386.deb
 571ccf63ba330ed761a9e081f33491a6 1050990 misc optional firebird2-utils-super_1.5.2-7_i386.deb
 f50c73a561fef4e48c238ab93e444b1b 1024296 misc optional firebird2-utils-classic_1.5.2-7_i386.deb
 8ddda235328b43892c36f98c7516517e 263856 misc optional firebird2-dev_1.5.2-7_i386.deb
 30f8337b0efbaf47910a2b3cab3bd3fd 335760 misc optional firebird2-examples_1.5.2-7_i386.deb

Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Christopher Martin <chrsmrtn at freeshell.org>


More information about the Pkg-firebird-general mailing list